Bug 129100 - When editing involves deleting text that includes one or more spaces and inserting text that also includes one or more spaces, LibreOffice Writer 6.3.3 outputs the spaces first followed by text without any spaces.
Summary: When editing involves deleting text that includes one or more spaces and inse...
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.3.3.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: AutoCorrect-Complete
  Show dependency treegraph
 
Reported: 2019-11-29 15:19 UTC by Jeff Melton
Modified: 2020-07-08 03:43 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
info from Help/About LibreOffice (41.58 KB, image/png)
2019-12-02 13:59 UTC, Jeff Melton
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeff Melton 2019-11-29 15:19:23 UTC
Description:
When editing involves inserting a comma, LibreOffice Writer 6.3.3 outputs space comma rather than what has been typed, comma followed by a space. When a correction involves multiple words, it inserts ALL of the spaces between the words immediately after the word just prior to the correction.

Steps to Reproduce:
1. Delete comma and the space following it.
2.Insert comma, space, and one or more additional words.
3.

Actual Results:
Comma space becomes space comma. Comma space becomes, for instance, space space space space comma wordswithnospaces if you insert a comma, space, and four words.

Expected Results:
The comma should appear immediately after the word prior to the edit, and there should be only one space appearing immediately after it.


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Timur 2019-12-01 17:22:16 UTC
Please write locale in your documents and try without Auto Correct.
Comment 2 Dieter 2019-12-02 07:05:18 UTC Comment hidden (obsolete)
Comment 3 Jeff Melton 2019-12-02 11:48:54 UTC
The error does not seem to occur if I turn off autocorrect. I'm not sure what you mean by "write locale in your documents." Did you want me to submit a document here? The locale is US English.

Further information: The error also occurs, under the same circumstances, with periods as well as commmas. Again, it has not occurred so far with autocorrect turned off.
Comment 4 Dieter 2019-12-02 12:37:45 UTC
(In reply to Jeff Melton from comment #3)
> The error does not seem to occur if I turn off autocorrect.

So perhaps the problem is related to your user profile. Could you please reset your Libreoffice profile (https://wiki.documentfoundation.org/UserProfile) and re-test? I have set the bug's status to 'NEEDINFO'. Please change it back to 'UNCONFIRMED' if the issue is still present


> what you mean by "write locale in your documents."

Just paste informations from Help => About LibreOffice
Comment 5 Timur 2019-12-02 12:46:56 UTC
Sounds like text is French. Please experiment with AutoCorrect options. 
Would be useful if you could attach minimal sample document, without personal info.
Comment 6 Jeff Melton 2019-12-02 13:59:44 UTC
Created attachment 156249 [details]
info from Help/About LibreOffice
Comment 7 Jeff Melton 2019-12-02 14:02:49 UTC
After resetting the user profile, the bug persists. To update info about when it occurs, it happens when ANY text that contains one or more spaces is highlighted and deleted, and the replacement text contains one or more spaces. The error does NOT occur if autocorrect is turned off.
Comment 8 Dieter 2019-12-02 14:14:11 UTC
I can't reproduce it with

Version: 6.3.4.1 (x64)
Build-ID: a21169d87339dfa44546f33d6d159e89881e9d92
CPU-Threads: 4; BS: Windows 10.0; UI-Render: Standard; VCL: win; 
Gebietsschema: de-DE (de_DE); UI-Sprache: de-DE
Calc: threaded

But perhaps I did the wrong steps. Is it possible for you to add a screencast, so that steps to reproduce are more visible?
Comment 9 Jeff Melton 2019-12-02 14:52:32 UTC
Update: Now that I have reset my user profile, closed the document in which I was reproducing the error, and opened a different document, I am no longer getting the error. Is it possible that a corrupted user profile was the problem, but somehow fixing the user profile didn't fix the problem in the document I had open at the time?

I tried screencasting reproduction of the error as someone suggested above, but Kazam froze when I attempted to use it for screencasting. But I guess it's moot to do a screencast if I am now not getting the error.
Comment 10 Dieter 2019-12-02 15:02:27 UTC
(In reply to Jeff Melton from comment #9)
> Update: Now that I have reset my user profile, closed the document in which
> I was reproducing the error, and opened a different document, I am no longer
> getting the error. Is it possible that a corrupted user profile was the
> problem, but somehow fixing the user profile didn't fix the problem in the
> document I had open at the time?

I'm not sure for 100%, but I think you have to reopen LO to use the new user profile. So - if I understand it correct - you're not longer able to repruduce the bug. So I close it as RESOLVED WORKSFORME. Please feel free to change it back to UNCONFIRMED, if I misunderstood you are the problem occurs again.
Comment 11 Jeff Melton 2019-12-02 16:04:56 UTC
It's happening again. I'm in the same document that I was in when it temporarily stopped happening.
Comment 12 Timur 2019-12-03 10:58:59 UTC Comment hidden (obsolete)
Comment 13 Dieter 2019-12-09 12:04:33 UTC
(In reply to Timur from comment #12)
> please attach minimal sample document, without personal info.

=> NEEDINFO
Comment 14 QA Administrators 2020-06-07 03:48:42 UTC Comment hidden (obsolete)
Comment 15 QA Administrators 2020-07-08 03:42:59 UTC
Dear Jeff Melton,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-FollowUp